> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Expense Claim

> Fetch a single expense claim with its line items.



## OpenAPI

````yaml /api/openapi-cutmake.json get /api/v1/reimbursements/expense-claims/{claim_id}
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/reimbursements/expense-claims/{claim_id}:
    get:
      tags:
        - Reimbursements
      summary: Get Expense Claim
      description: Fetch a single expense claim with its line items.
      operationId: get_expense_claim_api_v1_reimbursements_expense_claims__claim_id__get
      parameters:
        - name: claim_id
          in: path
          required: true
          schema:
            type: string
            title: Claim Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExpenseClaimResponse'
        '401':
          description: Unauthorized
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    ExpenseClaimResponse:
      properties:
        id:
          type: string
          title: Id
        orgId:
          type: string
          title: Orgid
        claimNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Claimnumber
        employeeId:
          anyOf:
            - type: string
            - type: 'null'
          title: Employeeid
        employeeName:
          anyOf:
            - type: string
            - type: 'null'
          title: Employeename
        claimDate:
          type: string
          format: date
          title: Claimdate
        status:
          type: string
          title: Status
        currency:
          type: string
          title: Currency
        subtotal:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Subtotal
        taxAmount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Taxamount
        totalAmount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Totalamount
        glPosted:
          type: boolean
          title: Glposted
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        lines:
          items:
            $ref: '#/components/schemas/ExpenseClaimLineResponse'
          type: array
          title: Lines
          default: []
      type: object
      required:
        - id
        - orgId
        - claimDate
        - status
        - currency
        - subtotal
        - taxAmount
        - totalAmount
        - glPosted
      title: ExpenseClaimResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ExpenseClaimLineResponse:
      properties:
        id:
          type: string
          title: Id
        expenseClaimId:
          type: string
          title: Expenseclaimid
        lineNumber:
          anyOf:
            - type: integer
            - type: 'null'
          title: Linenumber
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        expenseAccountKey:
          anyOf:
            - type: string
            - type: 'null'
          title: Expenseaccountkey
        materialId:
          anyOf:
            - type: string
            - type: 'null'
          title: Materialid
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        amount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount
        taxAmount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Taxamount
      type: object
      required:
        - id
        - expenseClaimId
        - amount
        - taxAmount
      title: ExpenseClaimLineResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````